<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:22 CEST 2019 -->
<title>JaybirdErrorCodes (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JaybirdErrorCodes (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/JaybirdSystemProperties.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/JaybirdErrorCodes.html" target="_top">Frames</a></li>
<li><a href="JaybirdErrorCodes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds</div>
<h2 title="Interface JaybirdErrorCodes" class="title">Interface JaybirdErrorCodes</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">JaybirdErrorCodes</span></pre>
<div class="block">Constants for Jaybird specific error codes.
 <p>
 The error code of Jaybird use the same scheme as the rest of Firebird error codes. The error codes are not
 maintained within Firebird, but here and in associated files <code>jaybird_error_msg.properties</code>
 and <code>jaybird_error_sqlstates.properties</code>
 </p>
 <p>
 For error codes, Firebird has reserved facility code <code>26</code> for Jaybird. Facility code 26 has error codes in
 range 337248256 - 337264639. See Firebird <code>src\common\msg_encode.h</code> for calculation of this range.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_blobGetSegmentNegative">jb_blobGetSegmentNegative</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_blobIdAlreadySet">jb_blobIdAlreadySet</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_blobPutSegmentEmpty">jb_blobPutSegmentEmpty</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_blobPutSegmentTooLong">jb_blobPutSegmentTooLong</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_clumpletReaderUsageError">jb_clumpletReaderUsageError</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_concurrencyResetReadOnlyReasonNotUpdatable">jb_concurrencyResetReadOnlyReasonNotUpdatable</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_concurrencyResetReadOnlyReasonStoredProcedure">jb_concurrencyResetReadOnlyReasonStoredProcedure</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_cryptAlgorithmNotAvailable">jb_cryptAlgorithmNotAvailable</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_cryptInvalidKey">jb_cryptInvalidKey</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_cryptNoCryptKeyAvailable">jb_cryptNoCryptKeyAvailable</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_dbCryptCallbackInitError">jb_dbCryptCallbackInitError</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_dbCryptDataError">jb_dbCryptDataError</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_errorAsynchronousEventChannelClose">jb_errorAsynchronousEventChannelClose</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_executeImmediateRequiresNoTransactionDetached">jb_executeImmediateRequiresNoTransactionDetached</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_executeImmediateRequiresTransactionAttached">jb_executeImmediateRequiresTransactionAttached</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_explainedExecutionPlanNotSupported">jb_explainedExecutionPlanNotSupported</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_failedToLoadNativeLibrary">jb_failedToLoadNativeLibrary</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_generatedKeysArrayEmptyOrNull">jb_generatedKeysArrayEmptyOrNull</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_generatedKeysInvalidColumnPosition">jb_generatedKeysInvalidColumnPosition</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_generatedKeysNoColumnsFound">jb_generatedKeysNoColumnsFound</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_generatedKeysSupportNotAvailable">jb_generatedKeysSupportNotAvailable</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_hashAlgorithmNotAvailable">jb_hashAlgorithmNotAvailable</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_invalidClumpletStructure">jb_invalidClumpletStructure</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_invalidConnectionPropertyValue">jb_invalidConnectionPropertyValue</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_invalidConnectionString">jb_invalidConnectionString</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_invalidFetchDirection">jb_invalidFetchDirection</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_invalidGeneratedKeysOption">jb_invalidGeneratedKeysOption</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_maxStatementLengthExceeded">jb_maxStatementLengthExceeded</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_noKnownAuthPlugins">jb_noKnownAuthPlugins</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_notAttachedToDatabase">jb_notAttachedToDatabase</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_notConnectedToServer">jb_notConnectedToServer</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_operationNotAllowedOnForwardOnly">jb_operationNotAllowedOnForwardOnly</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_range_end">jb_range_end</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_range_start">jb_range_start</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_receiveTrustedAuth_NotSupported">jb_receiveTrustedAuth_NotSupported</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_resultSetTypeDowngradeReasonScrollSensitive">jb_resultSetTypeDowngradeReasonScrollSensitive</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_resultSetTypeUpgradeReasonHoldability">jb_resultSetTypeUpgradeReasonHoldability</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_unableToCancelEventReasonNotConnected">jb_unableToCancelEventReasonNotConnected</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_unexpectedOperationCode">jb_unexpectedOperationCode</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html#jb_unsupportedFieldType">jb_unsupportedFieldType</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="jb_range_start">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_range_start</h4>
<pre>static final&nbsp;int jb_range_start</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_range_start">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_blobGetSegmentNegative">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_blobGetSegmentNegative</h4>
<pre>static final&nbsp;int jb_blobGetSegmentNegative</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_blobGetSegmentNegative">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_blobPutSegmentEmpty">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_blobPutSegmentEmpty</h4>
<pre>static final&nbsp;int jb_blobPutSegmentEmpty</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_blobPutSegmentEmpty">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_blobPutSegmentTooLong">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_blobPutSegmentTooLong</h4>
<pre>static final&nbsp;int jb_blobPutSegmentTooLong</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_blobPutSegmentTooLong">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_blobIdAlreadySet">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_blobIdAlreadySet</h4>
<pre>static final&nbsp;int jb_blobIdAlreadySet</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_blobIdAlreadySet">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_invalidClumpletStructure">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_invalidClumpletStructure</h4>
<pre>static final&nbsp;int jb_invalidClumpletStructure</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_invalidClumpletStructure">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_clumpletReaderUsageError">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_clumpletReaderUsageError</h4>
<pre>static final&nbsp;int jb_clumpletReaderUsageError</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_clumpletReaderUsageError">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_invalidConnectionString">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_invalidConnectionString</h4>
<pre>static final&nbsp;int jb_invalidConnectionString</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_invalidConnectionString">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_concurrencyResetReadOnlyReasonNotUpdatable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_concurrencyResetReadOnlyReasonNotUpdatable</h4>
<pre>static final&nbsp;int jb_concurrencyResetReadOnlyReasonNotUpdatable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_concurrencyResetReadOnlyReasonNotUpdatable">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_resultSetTypeUpgradeReasonHoldability">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_resultSetTypeUpgradeReasonHoldability</h4>
<pre>static final&nbsp;int jb_resultSetTypeUpgradeReasonHoldability</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_resultSetTypeUpgradeReasonHoldability">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_resultSetTypeDowngradeReasonScrollSensitive">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_resultSetTypeDowngradeReasonScrollSensitive</h4>
<pre>static final&nbsp;int jb_resultSetTypeDowngradeReasonScrollSensitive</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_resultSetTypeDowngradeReasonScrollSensitive">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_concurrencyResetReadOnlyReasonStoredProcedure">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_concurrencyResetReadOnlyReasonStoredProcedure</h4>
<pre>static final&nbsp;int jb_concurrencyResetReadOnlyReasonStoredProcedure</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_concurrencyResetReadOnlyReasonStoredProcedure">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_errorAsynchronousEventChannelClose">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_errorAsynchronousEventChannelClose</h4>
<pre>static final&nbsp;int jb_errorAsynchronousEventChannelClose</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_errorAsynchronousEventChannelClose">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_unableToCancelEventReasonNotConnected">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_unableToCancelEventReasonNotConnected</h4>
<pre>static final&nbsp;int jb_unableToCancelEventReasonNotConnected</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_unableToCancelEventReasonNotConnected">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_executeImmediateRequiresTransactionAttached">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_executeImmediateRequiresTransactionAttached</h4>
<pre>static final&nbsp;int jb_executeImmediateRequiresTransactionAttached</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_executeImmediateRequiresTransactionAttached">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_executeImmediateRequiresNoTransactionDetached">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_executeImmediateRequiresNoTransactionDetached</h4>
<pre>static final&nbsp;int jb_executeImmediateRequiresNoTransactionDetached</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_executeImmediateRequiresNoTransactionDetached">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_receiveTrustedAuth_NotSupported">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_receiveTrustedAuth_NotSupported</h4>
<pre>static final&nbsp;int jb_receiveTrustedAuth_NotSupported</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_receiveTrustedAuth_NotSupported">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_notConnectedToServer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_notConnectedToServer</h4>
<pre>static final&nbsp;int jb_notConnectedToServer</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_notConnectedToServer">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_notAttachedToDatabase">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_notAttachedToDatabase</h4>
<pre>static final&nbsp;int jb_notAttachedToDatabase</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_notAttachedToDatabase">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_maxStatementLengthExceeded">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_maxStatementLengthExceeded</h4>
<pre>static final&nbsp;int jb_maxStatementLengthExceeded</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_maxStatementLengthExceeded">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_unexpectedOperationCode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_unexpectedOperationCode</h4>
<pre>static final&nbsp;int jb_unexpectedOperationCode</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_unexpectedOperationCode">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_unsupportedFieldType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_unsupportedFieldType</h4>
<pre>static final&nbsp;int jb_unsupportedFieldType</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_unsupportedFieldType">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_invalidFetchDirection">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_invalidFetchDirection</h4>
<pre>static final&nbsp;int jb_invalidFetchDirection</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_invalidFetchDirection">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_operationNotAllowedOnForwardOnly">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_operationNotAllowedOnForwardOnly</h4>
<pre>static final&nbsp;int jb_operationNotAllowedOnForwardOnly</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_operationNotAllowedOnForwardOnly">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_cryptNoCryptKeyAvailable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_cryptNoCryptKeyAvailable</h4>
<pre>static final&nbsp;int jb_cryptNoCryptKeyAvailable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_cryptNoCryptKeyAvailable">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_cryptAlgorithmNotAvailable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_cryptAlgorithmNotAvailable</h4>
<pre>static final&nbsp;int jb_cryptAlgorithmNotAvailable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_cryptAlgorithmNotAvailable">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_cryptInvalidKey">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_cryptInvalidKey</h4>
<pre>static final&nbsp;int jb_cryptInvalidKey</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_cryptInvalidKey">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_invalidConnectionPropertyValue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_invalidConnectionPropertyValue</h4>
<pre>static final&nbsp;int jb_invalidConnectionPropertyValue</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_invalidConnectionPropertyValue">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_dbCryptCallbackInitError">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_dbCryptCallbackInitError</h4>
<pre>static final&nbsp;int jb_dbCryptCallbackInitError</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_dbCryptCallbackInitError">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_dbCryptDataError">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_dbCryptDataError</h4>
<pre>static final&nbsp;int jb_dbCryptDataError</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_dbCryptDataError">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_hashAlgorithmNotAvailable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_hashAlgorithmNotAvailable</h4>
<pre>static final&nbsp;int jb_hashAlgorithmNotAvailable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_hashAlgorithmNotAvailable">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_noKnownAuthPlugins">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_noKnownAuthPlugins</h4>
<pre>static final&nbsp;int jb_noKnownAuthPlugins</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_noKnownAuthPlugins">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_invalidGeneratedKeysOption">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_invalidGeneratedKeysOption</h4>
<pre>static final&nbsp;int jb_invalidGeneratedKeysOption</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_invalidGeneratedKeysOption">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_generatedKeysSupportNotAvailable">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_generatedKeysSupportNotAvailable</h4>
<pre>static final&nbsp;int jb_generatedKeysSupportNotAvailable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_generatedKeysSupportNotAvailable">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_generatedKeysArrayEmptyOrNull">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_generatedKeysArrayEmptyOrNull</h4>
<pre>static final&nbsp;int jb_generatedKeysArrayEmptyOrNull</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_generatedKeysArrayEmptyOrNull">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_generatedKeysInvalidColumnPosition">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_generatedKeysInvalidColumnPosition</h4>
<pre>static final&nbsp;int jb_generatedKeysInvalidColumnPosition</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_generatedKeysInvalidColumnPosition">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_generatedKeysNoColumnsFound">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_generatedKeysNoColumnsFound</h4>
<pre>static final&nbsp;int jb_generatedKeysNoColumnsFound</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_generatedKeysNoColumnsFound">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_explainedExecutionPlanNotSupported">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_explainedExecutionPlanNotSupported</h4>
<pre>static final&nbsp;int jb_explainedExecutionPlanNotSupported</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_explainedExecutionPlanNotSupported">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_failedToLoadNativeLibrary">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>jb_failedToLoadNativeLibrary</h4>
<pre>static final&nbsp;int jb_failedToLoadNativeLibrary</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_failedToLoadNativeLibrary">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="jb_range_end">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>jb_range_end</h4>
<pre>static final&nbsp;int jb_range_end</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.gds.JaybirdErrorCodes.jb_range_end">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/gds/JaybirdSystemProperties.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/JaybirdErrorCodes.html" target="_top">Frames</a></li>
<li><a href="JaybirdErrorCodes.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
